class Change(val setOfCoins: Set<Int>) {
    fun issue(x: Int): List<Int>{
        require((x > setOfCoins.min()!!) or (x == 0))
        var y = x
        val returnList = mutableListOf<Int>()
        
        while (y != 0){
            val maxChange = setOfCoins.filter { y >= it }.max()
            returnList.add(maxChange ?: 0)
            y -= maxChange ?: 0
        }

        return returnList.reversed()
    }
}